summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests.sh b/tests.sh
index 98a0d2f..b039eea 100755
--- a/tests.sh
+++ b/tests.sh
@@ -327,6 +327,8 @@ bsd_tests=(
test_exit
+ test_flags
+
test_follow
test_gid_name
@@ -2929,6 +2931,19 @@ function test_exclude_exclude() {
! quiet invoke_bfs basic -exclude -exclude -name foo
}
+function test_flags() {
+ if ! quiet invoke_bfs scratch -quit -flags offline; then
+ return 0
+ fi
+
+ rm -rf scratch/*
+
+ touch scratch/{foo,bar}
+ quiet chflags offline scratch/bar
+
+ bfs_diff scratch -flags -offline,nohidden
+}
+
BOL=
EOL='\n'